Ext.define('LMSplaylistEditor.store.ArtistSearchResults', {
	extend: 'Ext.data.Store',
	requires: ['LMSplaylistEditor.model.SlimArtist'],
	model: 'LMSplaylistEditor.model.SlimArtist',


	autoLoad: false,

	pageSize: 1000,
	leadingBufferZone: 100,
	trailingBufferZone: 100,
	purgePageCount: 0,

	proxy: {
		type: 'jsonp',
		disableCaching: false,
		timeout: 30000,
		url: LMSplaylistEditor.RuntimeConfig.config.JSONPURL,
		remoteSort: false,
		remoteGroup: false,

		extraParams: {
			args: Ext.JSON.encode( {
					cmd: 'getAllArtists'
			})
		},
		reader: {
			type: 'json',
			rootProperty: 'results.artists_loop',
			totalProperty: 'results.count'
		}
	}


});
