Ext.define('LMSplaylistEditor.store.ArtistTracksBase', {
	extend: 'Ext.data.Store',
	requires: 'LMSplaylistEditor.model.SlimSong',
	model: 'LMSplaylistEditor.model.SlimSong',

	autoLoad: false,

	proxy: {
		type: 'jsonp',
		disableCaching: true,
		url: LMSplaylistEditor.RuntimeConfig.config.JSONPURL,
		timeout: 20000,
		extraParams: {
			args: Ext.JSON.encode( {
					cmd: 'getTracksByArtist',
					artistid: ""
			})
		},
		reader: {
			type: 'json',
			rootProperty: 'results'
		}
	}
});
