Ext.define('LMSplaylistEditor.ux.SlimGridAllPlaylists', {
	extend: 'Ext.grid.Panel',
	xtype: 'slim-grid-allplaylists',
	alias: 'widget.slim-grid-allplaylists',
	id: 'SlimGridAllPlaylists',
	controller: 'SlimLibraryController',

//	store: 'AllPlaylists',	
	store: Ext.create( 'LMSplaylistEditor.store.AllPlaylists', {storeId:'AllPlaylists'}),

	sortableColumns: true,
	selModel: {
		selType: 'rowmodel',
		mode: 'SINGLE'
	},
	layout: {
		type: "fit"
	},
	/*
	features: [{
		ftype: 'filters',
		autoReload: false,
		local: true
	}],
	*/
	viewConfig: {
		plugins: {
			ddGroup: 'GridTracksDND',
			ptype: 'gridviewdragdrop',
			dragText: 'Drag item to the \"Add\" or \"Clear playlist\" buttons, or drop into the playlist',
			enableDrop: false
		}
	},
	enableDragDrop : true,
	closeAction: 'hide',
	scrollable: 'vertical',

	columns: [
		{ 
			text: 'Name', dataIndex: 'playlist', flex:1
		}
	],
	listeners: {
		itemdblclick: 'onLibraryPlaylistsDoubleClick',
		scope: 'controller'
    },
	
});