/// <reference path="../../../ext-6.0.2-classic.d.ts" />

Ext.define('LMSplaylistEditor.ux.SlimGridArtistsBase', {
	extend: 'Ext.grid.Panel',
	requires: ['LMSplaylistEditor.RuntimeConfig', 'Ext.grid.filters.Filters'],

	sortableColumns: true,
	selModel: {
		selType: 'rowmodel',
		mode: 'MULTI'
	},
	plugins: 'gridfilters',
	viewConfig: {
		plugins: {
			ddGroup: 'GridTracksDND',
			ptype: 'gridviewdragdrop',
			dragText: 'Drag items to the \"Add\" button, or drop into the playlist',
			containerScroll: true,
			enableDrop: false
		}
	},
	enableDragDrop : true,
	closeAction: 'hide',
	
	currentArtistId: 0,

	columns: [{ 
			text: 'Name', dataIndex: 'artist', flex:1
		}
	],
	layout: {
		type: "fit"
	},
	scrollable: 'vertical',

/*
	initComponent: function() {
		if( LMSplaylistEditor.RuntimeConfig.config.UI_statesave  && this.id) {
			this.stateId = this.id;
			this.stateful = true;
		}
		this.callParent( arguments);
	},
*/
/*
	beforeShow: function() {
		this.callParent( arguments);
		if (LMSplaylistEditor.RuntimeConfig.config.HAS_IMAGEPROXY && LMSplaylistEditor.RuntimeConfig.config.HAS_MAIPLUGIN) {
			var view = this.getView();
			var tip = Ext.create('Ext.tip.ToolTip', {
				target: view.el,
				delegate: view.itemSelector,
				trackMouse: true,
				showDelay: 1000,
				dismissDelay: 0,
				width: 'auto',
				listeners: {
					beforeshow: function updateTipBody(tip) {
						var record = view.getRecord(tip.triggerElement);
						if( !record) {
							return;
						}
						var t = (record.get('artist')?"<b>"+record.get('artist')+"</b><br>":"");
						var i = Ext.DomHelper.markup({
							tag: 'img',
							src: '/imageproxy/mai/artist/' + record.get('id') + '/image_300x300_m',
							width: 300,
							height: 300
							});
							
						tip.update("<div align=\"center\">"+t+"<br>"+i+"</div>");
					}
				}
			});
		}
	}
*/
});