Ext.define('LMSplaylistEditor.store.AllPlaylists', {
	extend: 'Ext.data.Store',
	requires: 'LMSplaylistEditor.model.SlimPlaylists',
	model: 'LMSplaylistEditor.model.SlimPlaylists',

	autoLoad: true,

	proxy: {
		type: 'jsonp',
		disableCaching: false,
		timeout: 30000,
		url: LMSplaylistEditor.RuntimeConfig.config.JSONPURL,
		extraParams: {
			args: Ext.JSON.encode( {
					cmd: 'getPlaylists'
			})
		},
		reader: {
			type: 'json',
			rootProperty: 'results.playlists_loop'
		}
	}
});
