Ext.define('LMSplaylistEditor.store.PlaylistTracks', {
	extend: 'Ext.data.Store',
	requires: 'LMSplaylistEditor.model.SlimSong',
	model: 'LMSplaylistEditor.model.SlimSong',

	autoLoad: false,
	pageSize: 999,

	proxy: {
		type: 'jsonp',
		timeout: 20000,
		disableCaching: true,
		url: LMSplaylistEditor.RuntimeConfig.config.JSONPURL,
		extraParams: {
			args: Ext.JSON.encode( {
					cmd: 'getTracksByPlaylist',
					plsid: 1
			})
		},
		reader: {
			type: 'json',
			rootProperty: 'results.tracks_loop',
			totalProperty: 'results.count'
		}
	}
});
