Ext.define('LMSplaylistEditor.ux.SlimGridAlbumTracksBase', {
	extend: 'LMSplaylistEditor.ux.SlimGridTracksBase',
	//store: 'AlbumTracksBase',
	store: Ext.create( 'LMSplaylistEditor.store.AlbumTracksBase', {storeId:'AlbumTracksBase'}),

	showAlbumCol: false,
	showArtistCol: false,
	showRatingsCol: false,
	currentAlbumId: 0,

	initComponent: function() {
		this.callParent( arguments);
//		this.headerCt.remove('SlimGridTracksBase-colArtist');
//		this.headerCt.remove('SlimGridTracksBase-colAlbum');

	},

	updateById: function( aid) {
		if (aid != this.currentAlbumId) {
			this.setCurrentAlbumId( aid);
			this.getStore().getProxy().setExtraParam('args', Ext.JSON.encode( {cmd: 'getTracksByAlbum', albumid: aid }));
			this.getStore().load({
				scope: this,
				callback: function(records, operation, success) {
					if (!success) {
						//this.setCurrentAlbumId( records[0].data.albumid);
						this.setCurrentAlbumId( 0);
					} else {
						if( this.isVisible() == true && this.isVisible( true) == false) {
							this.getView().refresh();
						}
					}
				}
			});
		}
	},

	getCurrentAlbumId: function( ) {
		return this.currentAlbumId;
	},
	setCurrentAlbumId: function( aid) {
		this.currentAlbumId = aid;
	},
/*	
	onSlimPlayerSelected: function(playerobj) {
		this.reloadStore();
	},
	onSlimPlaylistChange: function( response) {
		this.reloadStore();
	},
	onSlimPlayerstatechange: function( result) {
	}
*/	
});