Ext.define('LMSplaylistEditor.ux.SlimGridArtistAlbumsBase', {
	extend: 'LMSplaylistEditor.ux.SlimGridAlbumsBase',
	store: 'ArtistAlbumsBase',

	showArtistCol: false,
	currentArtistId: 0,

	initComponent: function() {
		this.callParent( );
		//this.headerCt.remove('SlimGridAlbumsBase-colArtist');
	},
		
	updateById: function( aid) {
//		console.log( "aid:"+aid+" Caid:"+this.currentArtistId);
		if (aid != this.currentArtistId) {
			this.setCurrentArtistId( aid);
/*			if(this.getStore().isLoading()) {
				console.log( "proxy abort");
				this.getStore().getProxy().abort();
			}
*/
			this.getStore().getProxy().setExtraParam('args', Ext.JSON.encode( {cmd: 'getAlbumsByArtist', artistid: aid }));
			var f = function( aid){ return function( records, operation, success) {
				if (!success) {
					console.log("SlimGridAlbumsBase: getAlbumsByArtist failed aid="+aid);
					this.setCurrentArtistId( 0);
				} else {
					if( this.isVisible() == true && this.isVisible( true) == false) {
						this.getView().refresh();
					}
				}
			}};
			this.getStore().load({
				scope: this,
				callback: f(aid)
			});
		}
	},

	getCurrentArtistId: function( ) {
		return this.currentArtistId;
	},
	setCurrentArtistId: function( aid) {
		this.currentArtistId = aid;
	}
});